Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038019
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-02-28 18:122018-03-06 16:26
ReporterdmiguelezView Statuspublic 
Assigned Tovmromanos 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision0b705f17f7dc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression levelCode review
Regression date2018-02-02
Regression introduced in releasepi
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/a22d9a28aa45 [^]
Triggers an Emergency PackNo
Summary

0038019: It is possible to create a Goods Movement for the same Bin

DescriptionIt is possible to create a Goods Movement for the same Bin
Steps To ReproduceAs F&B Admin

Go to Goods Movement Window and create a new record.
Move to Lines Tab and select any product from the drop down list.
In the New Storage Bin select the same value as in the Storage Bin field.
Process the Goods Movement.

This should not be possible to happen.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039391 closedvmromanos Modules Movements within the same bin for a product without attribute should not be allowed 

-  Notes
(0102935)
vmromanos (developer)
2018-03-02 14:36

Test Plan:

As F&B Admin
Go to Goods Movement Window and create a new record.
Move to Lines Tab and select any product from the drop down list.
In the New Storage Bin select the same value as in the Storage Bin field.
Try to save. An exception should thrown.
(0102988)
hgbot (developer)
2018-03-05 17:09

Repository: erp/devel/pi
Changeset: 0b705f17f7dcd3b94a8c2c0c62005cb088f1a948
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Fri Mar 02 14:43:28 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0b705f17f7dcd3b94a8c2c0c62005cb088f1a948 [^]

Fixed issue 38019: [ri] Properly implement validation different bins

Null management in new comparation didn't work properly.

---
M src-db/database/model/triggers/M_MOVEMENTLINE_TRG.xml
---
(0102999)
hudsonbot (developer)
2018-03-05 23:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ae235ad7fcda [^]
Maturity status: Test
(0103031)
dmiguelez (developer)
2018-03-06 16:26

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2018-02-28 18:12 dmiguelez New Issue
2018-02-28 18:12 dmiguelez Assigned To => Triage Finance
2018-02-28 18:12 dmiguelez Modules => Core
2018-02-28 18:12 dmiguelez Triggers an Emergency Pack => No
2018-02-28 18:16 dmiguelez Regression level => Code review
2018-02-28 18:16 dmiguelez Regression date => 2018-02-02
2018-02-28 18:16 dmiguelez Regression introduced in release => pi
2018-02-28 18:16 dmiguelez Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/a22d9a28aa45 [^]
2018-03-02 14:33 vmromanos Status new => scheduled
2018-03-02 14:33 vmromanos Assigned To Triage Finance => vmromanos
2018-03-02 14:36 vmromanos Note Added: 0102935
2018-03-05 17:09 hgbot Checkin
2018-03-05 17:09 hgbot Note Added: 0102988
2018-03-05 17:09 hgbot Status scheduled => resolved
2018-03-05 17:09 hgbot Resolution open => fixed
2018-03-05 17:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0b705f17f7dcd3b94a8c2c0c62005cb088f1a948 [^]
2018-03-05 23:45 hudsonbot Checkin
2018-03-05 23:45 hudsonbot Note Added: 0102999
2018-03-06 16:26 dmiguelez Review Assigned To => dmiguelez
2018-03-06 16:26 dmiguelez Note Added: 0103031
2018-03-06 16:26 dmiguelez Status resolved => closed
2018-03-06 16:26 dmiguelez Fixed in Version => 3.0PR18Q2
2018-10-02 14:21 vmromanos Relationship added related to 0039391


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker